import { Observable } from 'rxjs';
import { ServiceDeps } from '../types';
import ParticlesResolverQueue from '../ParticlesResolverQueue/ParticlesResolverQueue';
declare class SyncParticlesLoop {
    private isInitialized$;
    private db;
    private particlesResolver;
    private params;
    private statusApi;
    private _loop$;
    get loop$(): Observable<any> | undefined;
    constructor(deps: ServiceDeps, particlesResolver: ParticlesResolverQueue);
    private syncParticles;
    start(): this;
}
export default SyncParticlesLoop;
